Table of Contents

## Name

im_replicate - replicate an image horizontally and vertically

## Synopsis

#include <vips/vips.h>

int
im_replicate( IMAGE *in, IMAGE *out,
int across, int down )

## Description

im_replicate(3) repeats image in across and down a fixed number of times to make a new larger image.

The current implementation is optimised for the case where image in is small and across and down are large.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_extract_area(3) , im_zoom(3)

## Copyright

National Gallery 2003

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright